httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erik Abele <e...@codefaktor.de>
Subject Re: What am I doing wrong - site gen?
Date Wed, 13 Feb 2008 00:02:55 GMT
On 24.01.2008, at 00:53, William A. Rowe, Jr. wrote:

> security/vulnerabilities-oval.xml
>
> I'm ending up with deltas such as these...
>
> -<httpd_state xmlns="http://oval.mitre.org/XMLSchema/oval- 
> definitions-5#apache" id="oval:org.apache.httpd:ste:131"  
> version="1" comment="the version of httpd is 1.3.1">
> -<version operation="equals" datatype="version">1.3.1</version>
> +<httpd_state xmlns="http://oval.mitre.org/XMLSchema/oval- 
> definitions-5" id="oval:org.apache.httpd:ste:131" version="1"  
> comment="the version of httpd is 1.3.1">
> +<version xmlns="http://oval.mitre.org/XMLSchema/oval- 
> definitions-5#apache" operation="equals" datatype="version">1.3.1</ 
> version>
>  </httpd_state>
>
> What component are we missing in site/lib/ or should I have locally
> updated?

I guess you were running Ant directly instead of via build.sh, right?

If so then it was probably overriding the jars in site/lib and was  
therefore using a different version of the xslt processor... To get  
consistent results we need to rely on the jars in site/lib and only  
running via build.sh ensures that those are picked up :-/

Can you please try and let me know? I'll then update README if that  
fixes the issue...

Oh, and if you can't run build.sh on Win* (e.g. no cygwin) then we'll  
need to add a .bat version for it... (for an example see docs-build/ 
trunk/build.bat).

Cheers,
Erik


Mime
View raw message